Subject: bug#36526: 26.2; Open diff at current location (feature request with suggested code)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Aug 2020 21:37:35 +0200

Dmitry Gutov <[email-masked]> writes:

> On 15.01.2020 5:20, Stefan Kangas wrote:

>> I've watched your video, and I think it looks interesting.  I would
>> think it useful enough to include, and it certainly helps that you
>> are willing to do the work to get it done.  Unfortunately, I'm not a
>> heavy vc user, so I don't feel fully qualified to comment on this use
>> case.  Could someone else please take a look at this proposal and
>> give Campbell a more informed reply?
>
> Speaking of the "open diff at point" feature, it's very reminiscent of
> the feature in a package of mine: 
> https://github.com/dgutov/diff-hl/blob/fb9eb1cd3c4c6ed24b93de1a7cfb369d2983be74/diff-hl.el#L373-L404
>
> And the implementation is much shorter there. So far, I don't
> understand why.
>
> I would be happy to facilitate moving this feature to the core, but
> for obvious reasons (chiefly ease of review) I'd prefer to to be based
> off my own code. Or to see a good explanation why it's not a good
> choice.
>
> If the implementation in the package above doesn't cut it for some
> reasons, similarly I'd prefer to see a patch against that code rather 
> than a full reimplementation. If feasible, of course.

I had a look at the copyright assignment list, and I couldn't find
Campbell there.  Campbell, didn't anybody send you copyright assignment
papers?

And Dmitry, did you look at moving this feature to the core?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no